#!/bin/sh 
# test the state of the SMB server
#
# Tim Hockin

. /usr/sausalito/swatch/statecodes

CMD="smbclient -L localhost"

export PASSWD=foo 
$CMD 2>&1 | egrep "Connection.*failed" >/dev/null 2>&1

if [ "$?" = 0 ]; then
	/etc/rc.d/init.d/smb restart >/dev/null 2>&1
	$CMD 2>&1 | egrep "Connection.*failed" >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		echo -ne "[[base-winshare.amNotRunning]]"
		exit $AM_STATE_RED
	fi
fi

echo -ne "[[base-winshare.amStatusOk]]"
exit $AM_STATE_GREEN
